Check password against breach database
curl --request POST \
--url https://my.propops.app/api/security/password-breach-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "P@ssw0rd123",
"csrf_token": "abc123def456",
"return_count": false
}
'import requests
url = "https://my.propops.app/api/security/password-breach-check"
payload = {
"password": "P@ssw0rd123",
"csrf_token": "abc123def456",
"return_count": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: 'P@ssw0rd123', csrf_token: 'abc123def456', return_count: false})
};
fetch('https://my.propops.app/api/security/password-breach-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "This password has appeared in 3,200 data breaches.",
"breached": true,
"count": 3200
}{
"success": false,
"error": "Missing required parameter: job_title."
}{
"success": false,
"error": "Unauthorized. Valid Bearer token required."
}Password Breach
Check password against breach database
Checks a password against the Have I Been Pwned breach database using the k-Anonymity model. Results are cached.
Required permission: api.security.password_breach_check.read
POST
/
api
/
security
/
password-breach-check
Check password against breach database
Authorizations
All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...
Body
application/json
⌘I